import Destroyable from './Destroyable';
import ReadonlyBindableArray from './ReadonlyBindableArray';
/**
 * Extension of ReadonlyBindableArray abstraction with destroy method.
 */
interface DestroyableReadonlyBindableArray<T> extends Destroyable, ReadonlyBindableArray<T> {
}
export default DestroyableReadonlyBindableArray;
