import Destroyable from './Destroyable';
import ReadonlyBindableSet from './ReadonlyBindableSet';
/**
 * Extension of ReadonlyBindableSet abstraction with destroy method.
 */
interface DestroyableReadonlyBindableSet<T> extends Destroyable, ReadonlyBindableSet<T> {
}
export default DestroyableReadonlyBindableSet;
