import Destroyable from './Destroyable';
/**
 * Destroyable object that calls the specified callback on destruction.
 */
export default class Destructor implements Destroyable {
    private callback?;
    private scope?;
    /**
     * Creates a destructor instance.
     * @param callback Callback to call on destruction.
     * @param scope `callback` call scope.
     */
    constructor(callback?: () => void, scope?: any);
    destroy(): void;
}
