import BindableMap from '../BindableMap';
import IBindableMap from '../IBindableMap';
import Some from '../Some';
import ComponentChild from './ComponentChild';
export default class ComponentChildInserter extends BindableMap<string, ComponentChild> {
    constructor();
    trySet(key: string, value: ComponentChild): Some<ComponentChild>;
    trySetKey(oldKey: string, newKey: string): ComponentChild;
    delete(key: string): ComponentChild;
    trySplice(keysToRemove: Iterable<string>, entriesToUpdate: ReadonlyMap<string, ComponentChild>): IBindableMap.SpliceResult<string, ComponentChild>;
    tryClear(): Map<string, ComponentChild>;
    tryReindex(keyMapping: ReadonlyMap<string, string>): Map<string, string>;
    _attach(item: ComponentChild, key: string): void;
    _detach(item: ComponentChild): void;
}
