/**
 * Object which has `destroy` method. Can be aggregated in `IClass` via `own` method.
 */
interface Destroyable {
    /**
     * Class destructor.
     */
    destroy(): void;
}
export default Destroyable;
