import Destroyable from './Destroyable';
import ReadonlyBindableMap from './ReadonlyBindableMap';
/**
 * Extension of ReadonlyBindableMap abstraction with destroy method.
 */
interface DestroyableReadonlyBindableMap<K, V> extends Destroyable, ReadonlyBindableMap<K, V> {
}
export default DestroyableReadonlyBindableMap;
