/// <reference types="jquery" />
import AbstractTemplate from './AbstractTemplate';
import TemplateOutput from './TemplateOutput';
export default class DomTemplate extends AbstractTemplate {
    private el;
    private output;
    private groups;
    /**
     * Creates a template instance.
     * @param el Element to process.
     */
    constructor(el: HTMLElement | JQuery);
    get requiresAfterAppend(): boolean;
    createElement(): TemplateOutput;
    protected _addElement(id: string, el: HTMLElement, _path: readonly number[]): void;
}
