import Destroyable from './Destroyable';
import Dispatcher from './Dispatcher';
export default class Listener<P> implements Destroyable {
    private _dispatcher;
    readonly handler: (message: P) => void;
    readonly scope: any;
    constructor(_dispatcher: Dispatcher<P>, handler: (message: P) => void, scope: any);
    destroy(): void;
}
