/**
 * Result of AbstractTemplate.createElement method call. HTML template rendering output.
 */
interface TemplateOutput {
    /**
     * The rendered element. In a component, it is claimed as component root element.
     */
    readonly root: HTMLElement;
    /**
     * Map from jwid to the elements with this jwid.
     */
    readonly groups: ReadonlyMap<string, HTMLElement[]>;
}
export default TemplateOutput;
