import BindableMap from '../BindableMap';
import Component from '../Component';
import IBindableMap from '../IBindableMap';
import Some from '../Some';
export default class ComponentChildren extends BindableMap<string, Component> {
    private component;
    private target;
    constructor(component: Component);
    unrender(): void;
    trySet(key: string, value: Component): Some<Component>;
    trySetKey(oldKey: string, newKey: string): Component;
    delete(key: string): Component;
    trySplice(keysToRemove: Iterable<string>, entriesToUpdate: ReadonlyMap<string, Component>): IBindableMap.SpliceResult<string, Component>;
    tryClear(): Map<string, Component>;
    tryReindex(keyMapping: ReadonlyMap<string, string>): Map<string, string>;
}
